<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.EmbeddedTextureData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_embedded_texture_data.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_tri_lib_1_1_embedded_texture_data-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.EmbeddedTextureData Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents a texture.  
 <a href="class_tri_lib_1_1_embedded_texture_data.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for TriLib.EmbeddedTextureData:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_tri_lib_1_1_embedded_texture_data.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa1e2df67b734a660b135ac75b52d0ed7"><td class="memItemLeft" align="right" valign="top"><a id="aa1e2df67b734a660b135ac75b52d0ed7" name="aa1e2df67b734a660b135ac75b52d0ed7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Dispose</b> ()</td></tr>
<tr class="separator:aa1e2df67b734a660b135ac75b52d0ed7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a221e91f09e53d9e67727d06a611d473b"><td class="memItemLeft" align="right" valign="top">byte[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_embedded_texture_data.html#a221e91f09e53d9e67727d06a611d473b">Data</a></td></tr>
<tr class="memdesc:a221e91f09e53d9e67727d06a611d473b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Texture pixel data.  <a href="class_tri_lib_1_1_embedded_texture_data.html#a221e91f09e53d9e67727d06a611d473b">More...</a><br /></td></tr>
<tr class="separator:a221e91f09e53d9e67727d06a611d473b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38d8ed17428c87a4080a616e287fe174"><td class="memItemLeft" align="right" valign="top">IntPtr&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_embedded_texture_data.html#a38d8ed17428c87a4080a616e287fe174">DataPointer</a></td></tr>
<tr class="memdesc:a38d8ed17428c87a4080a616e287fe174"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to the texture data.  <a href="class_tri_lib_1_1_embedded_texture_data.html#a38d8ed17428c87a4080a616e287fe174">More...</a><br /></td></tr>
<tr class="separator:a38d8ed17428c87a4080a616e287fe174"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a456b836e7cc3949378378ee5d11a1eea"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_embedded_texture_data.html#a456b836e7cc3949378378ee5d11a1eea">DataLength</a></td></tr>
<tr class="memdesc:a456b836e7cc3949378378ee5d11a1eea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Texture data byte length.  <a href="class_tri_lib_1_1_embedded_texture_data.html#a456b836e7cc3949378378ee5d11a1eea">More...</a><br /></td></tr>
<tr class="separator:a456b836e7cc3949378378ee5d11a1eea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a452d1f1a2523a7fe7e142ce1f509d156"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespace_tri_lib.html#a08fed91d8acfae89f0e46f947e2f378f">DataDisposalCallback</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_embedded_texture_data.html#a452d1f1a2523a7fe7e142ce1f509d156">OnDataDisposal</a></td></tr>
<tr class="memdesc:a452d1f1a2523a7fe7e142ce1f509d156"><td class="mdescLeft">&#160;</td><td class="mdescRight">Callback to run when texture data pointer contents can be disposed.  <a href="class_tri_lib_1_1_embedded_texture_data.html#a452d1f1a2523a7fe7e142ce1f509d156">More...</a><br /></td></tr>
<tr class="separator:a452d1f1a2523a7fe7e142ce1f509d156"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3ab8a28fa63166c6dd0a51c9d889a5b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_embedded_texture_data.html#af3ab8a28fa63166c6dd0a51c9d889a5b">Width</a></td></tr>
<tr class="memdesc:af3ab8a28fa63166c6dd0a51c9d889a5b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Texture width.  <a href="class_tri_lib_1_1_embedded_texture_data.html#af3ab8a28fa63166c6dd0a51c9d889a5b">More...</a><br /></td></tr>
<tr class="separator:af3ab8a28fa63166c6dd0a51c9d889a5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60216714165ac35452c73b873d2b9966"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_embedded_texture_data.html#a60216714165ac35452c73b873d2b9966">Height</a></td></tr>
<tr class="memdesc:a60216714165ac35452c73b873d2b9966"><td class="mdescLeft">&#160;</td><td class="mdescRight">Texture height.  <a href="class_tri_lib_1_1_embedded_texture_data.html#a60216714165ac35452c73b873d2b9966">More...</a><br /></td></tr>
<tr class="separator:a60216714165ac35452c73b873d2b9966"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af816959db7244177dc569146c39671b8"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_embedded_texture_data.html#af816959db7244177dc569146c39671b8">NumChannels</a> = 4</td></tr>
<tr class="memdesc:af816959db7244177dc569146c39671b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Texture bits-per-pixel.  <a href="class_tri_lib_1_1_embedded_texture_data.html#af816959db7244177dc569146c39671b8">More...</a><br /></td></tr>
<tr class="separator:af816959db7244177dc569146c39671b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a390c9092be070b62996cd88c4a6e1a92"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_embedded_texture_data.html#a390c9092be070b62996cd88c4a6e1a92">IsRawData</a></td></tr>
<tr class="memdesc:a390c9092be070b62996cd88c4a6e1a92"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>true</code> when the texture contains raw pixel data, <code>false</code> when it contains the file data.  <a href="class_tri_lib_1_1_embedded_texture_data.html#a390c9092be070b62996cd88c4a6e1a92">More...</a><br /></td></tr>
<tr class="separator:a390c9092be070b62996cd88c4a6e1a92"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents a texture. </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a221e91f09e53d9e67727d06a611d473b" name="a221e91f09e53d9e67727d06a611d473b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a221e91f09e53d9e67727d06a611d473b">&#9670;&nbsp;</a></span>Data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">byte [] TriLib.EmbeddedTextureData.Data</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Texture pixel data. </p>

</div>
</div>
<a id="a456b836e7cc3949378378ee5d11a1eea" name="a456b836e7cc3949378378ee5d11a1eea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a456b836e7cc3949378378ee5d11a1eea">&#9670;&nbsp;</a></span>DataLength</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int TriLib.EmbeddedTextureData.DataLength</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Texture data byte length. </p>

</div>
</div>
<a id="a38d8ed17428c87a4080a616e287fe174" name="a38d8ed17428c87a4080a616e287fe174"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38d8ed17428c87a4080a616e287fe174">&#9670;&nbsp;</a></span>DataPointer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IntPtr TriLib.EmbeddedTextureData.DataPointer</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to the texture data. </p>

</div>
</div>
<a id="a60216714165ac35452c73b873d2b9966" name="a60216714165ac35452c73b873d2b9966"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60216714165ac35452c73b873d2b9966">&#9670;&nbsp;</a></span>Height</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int TriLib.EmbeddedTextureData.Height</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Texture height. </p>

</div>
</div>
<a id="a390c9092be070b62996cd88c4a6e1a92" name="a390c9092be070b62996cd88c4a6e1a92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a390c9092be070b62996cd88c4a6e1a92">&#9670;&nbsp;</a></span>IsRawData</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.EmbeddedTextureData.IsRawData</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><code>true</code> when the texture contains raw pixel data, <code>false</code> when it contains the file data. </p>

</div>
</div>
<a id="af816959db7244177dc569146c39671b8" name="af816959db7244177dc569146c39671b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af816959db7244177dc569146c39671b8">&#9670;&nbsp;</a></span>NumChannels</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int TriLib.EmbeddedTextureData.NumChannels = 4</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Texture bits-per-pixel. </p>

</div>
</div>
<a id="a452d1f1a2523a7fe7e142ce1f509d156" name="a452d1f1a2523a7fe7e142ce1f509d156"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a452d1f1a2523a7fe7e142ce1f509d156">&#9670;&nbsp;</a></span>OnDataDisposal</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespace_tri_lib.html#a08fed91d8acfae89f0e46f947e2f378f">DataDisposalCallback</a> TriLib.EmbeddedTextureData.OnDataDisposal</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Callback to run when texture data pointer contents can be disposed. </p>

</div>
</div>
<a id="af3ab8a28fa63166c6dd0a51c9d889a5b" name="af3ab8a28fa63166c6dd0a51c9d889a5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3ab8a28fa63166c6dd0a51c9d889a5b">&#9670;&nbsp;</a></span>Width</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int TriLib.EmbeddedTextureData.Width</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Texture width. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/AssetLoader/InternalData/<a class="el" href="_embedded_texture_data_8cs.html">EmbeddedTextureData.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_embedded_texture_data.html">EmbeddedTextureData</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
